# WrokPlayerAPI

[![npm version](https://img.shields.io/npm/v/workplayerapi.svg?style=flat-square)](https://www.npmjs.org/package/workplayerapi)
[![build status](https://img.shields.io/travis/axios/workplayerapi.svg?style=flat-square)](https://travis-ci.org/workplayerapi/workplayerapi)
[![install size](https://packagephobia.now.sh/badge?p=workplayerapi)](https://packagephobia.now.sh/result?p=workplayerapi)

API para encapsulamento de chamadas REST para o projeto Work Player da Kyros Tecnologias.

## Instalando

Usando npm:

```bash
$ npm install workplayerapi
```

Usando bower:

```bash
$ bower install workplayerapi
```

Usando yarn:

```bash
$ yarn add workplayerapi
```

Usando cdn:

```html
<script src="https://unpkg.com/workplayerapi/dist/workplayerapi.min.js"></script>
```

## Exemplos

# Login

```js
import { makeLogin } from 'workplayerapi';

let email = 'email@example.com';
let senha = 'password';

// Passando o e-mail e senha
makeLogin({email, senha})
    .then((response) => {
    if (response.result === 'LOGIN_SUCCESS') {
        console.log('User logged successfully!');
        // É retornando o resultado da requisição
        // o resultado fica em data
        // No caso do login, o resultado é do tipo Player
        let player = response.data;
        console.log(JSON.stringify(player));
    }
    else if (response.result === 'LOGIN_FAIL') console.log('User logged failed!');
});
```

###### NOTA
A API está sendo construída aos poucos, portanto qualquer dúvida ou caso seja encontrado algum bug, reportar na seção de Issues.

## Autor

Kim Ruan Lopes - Kyros Tecnologias

## Lisença

MIT
