/*
 * [EN]
 * Copyright (C) Kyros Technologies, Inc - All Rights Reserved
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written by Kim Ruan <kimr@kyros.com.br>, April 2018
 *
 *
 * [NR]
 * Copyright (C) Kyros Technologies, Inc - Alle rettigheter reservert
 *
 * Uautorisert kopiering av denne filen, via hvilket som helst medium, er strengt forbudt
 * Egen og konfidensiell
 * Skrevet av Kim Ruan <kimr@kyros.com.br>, April 2018
 *
 *
 * [PT-BR]
 * Copyright (C) Kyros Technologies, Inc - Todos os direitos reservados
 *
 * Cópias não autorizadas deste arquivo, através de qualquer meio é estritamente proibido
 * Confidenciais e proprietários
 * Escrito por Kim Ruan <kimr@kyros.com.br>, Abril 2018
 */

import logged from '../config/logged';
import { Card } from '../classes/Card';
import { errorRequestTreatment } from '../global/errors';

// TODO: Arrumar os serviços de cards
const getCards = () => {
    return logged.get('/card/skill')
        .then(res => {
            let headers = res.headers;
            let data    = res.data;
            let message = data.message;

            let cards = [];

            data.map(card => cards.push(new Card(card)));

            return {
                result : 'GET_CARDS_SUCCESS',
                data   : cards
            }
        })
        .catch(error => { return errorRequestTreatment(error, 'GET_CARDS') });
};

module.exports = {
    getCards
};
